SetActivLeaf("DorogaKMuzeyu");
add_animation(121,true)
add_animation_frame(121,"snake",198,482,0,0,1,1,10);
add_animation_frame(121,"snake",720,566,682,71,74,28,0.1);
add_animation_frame(121,"snake",638,555,848,66,172,44,0.1);
add_animation_frame(121,"snake",553,545,848,19,150,47,0.1);
add_animation_frame(121,"snake",521,535,682,19,166,52,0.1);
add_animation_frame(121,"snake",465,534,533,19,149,45,0.1);
add_animation_frame(121,"snake",407,513,386,19,147,46,0.1);
add_animation_frame(121,"snake",348,498,251,19,135,43,0.1);
add_animation_frame(121,"snake",303,501,121,19,130,30,0.1);
add_animation_frame(121,"snake",229,483,0,19,121,38,0.1);
add_animation_frame(121,"snake",198,482,0,0,67,19,0.1);

StartAnimation(121)

add_animation(122,true)
for i=1,30,1 do
add_animation_frame(122,"d_fly1",814, 260,0,0,51,48,0.06);
add_animation_frame(122,"d_fly1",814, 260,49,0,48,48,0.06);
end;
for i=1,20,1 do
add_animation_frame(122,"d_fly1",895,174,0,0,51,48,0.06);
add_animation_frame(122,"d_fly1",895,174,49,0,48,48,0.06);
end;
for i=1,25,1 do
add_animation_frame(122,"d_fly1",951,245,0,0,51,48,0.06);
add_animation_frame(122,"d_fly1",951,245,49,0,48,48,0.06);
end;
StartAnimation(122)

particle_table={72,215,73,215,73,216};

to_street={
65,576,
65,690,
748,690,
748,576
}

CreatePolygon(542,4,"to_street")

CreatePolygon(NewId("leaves_2_0"),3,"particle_table");
--ShowPolygon(obj.leaves_2_0.id,true);
AddEmiter(obj.leaves_2_0.id,"leaves_2_0",nil,nil,nil,true);
StartEmiter("leaves_2_0");
MoveEmiter("leaves_2_0",800,0)

CreatePolygon(NewId("light_3_0"),3,"particle_table");
--ShowPolygon(obj.light_3_0.id,true);
AddEmiter(obj.light_3_0.id,"light_2_0",nil,nil,nil,true);
StartEmiter("light_2_0");
MoveEmiter("light_2_0",256,50)

CreatePolygon(NewId("light_3_1"),3,"particle_table");
--ShowPolygon(obj.light_3_1.id,true);
AddEmiter(obj.light_3_1.id,"light_2_1",nil,nil,nil,true);
StartEmiter("light_2_1");
MoveEmiter("light_2_1",850,50)

CreatePolygon(NewId("leaves_2_1"),3,"particle_table");
--ShowPolygon(obj.leaves_2_1.id,true);
AddEmiter(obj.leaves_2_1.id,"leaves_2_1",nil,nil,nil,true);
StartEmiter("leaves_2_1");
MoveEmiter("leaves_2_1",50,0)

CreatePolygon(NewId("dust_2_0"),3,"particle_table");
--ShowPolygon(obj.dust_2_0.id,true);
AddEmiter(obj.dust_2_0.id,"dust_2_0",nil,nil,nil,true);
StartEmiter("dust_2_0");
MoveEmiter("dust_2_0",512,150)

door_Ozero_2_0_table={120,384,304,384,304,480,120,480};
CreatePolygon(NewId("door_Ozero_2_0"),4,"door_Ozero_2_0_table");
--ShowPolygon(obj.door_Ozero_2_0.id,true);

door_VorotaMuzeya_2_0_table={148,283,377,283,377,357,148,357};
CreatePolygon(NewId("door_VorotaMuzeya_2_0"),4,"door_VorotaMuzeya_2_0_table");
--ShowPolygon(obj.door_VorotaMuzeya_2_0.id,true);

door_DorogaKMuzeyuHidden_2_0_table={546,317,692,317,692,421,546,421};
CreatePolygon(NewId("door_DorogaKMuzeyuHidden_2_0"),4,"door_DorogaKMuzeyuHidden_2_0_table");
--ShowPolygon(obj.door_DorogaKMuzeyuHidden_2_0.id,true);
AddEmiter(obj.door_DorogaKMuzeyuHidden_2_0.id,"Hidden_2_1",true,nil,nil,true);

  StartEmiter("Hidden_2_1");

mini_Vetka_2_0_table={105,527,290,527,290,616,105,616};
CreatePolygon(NewId("mini_Vetka_2_0"),4,"mini_Vetka_2_0_table");
--ShowPolygon(obj.mini_Vetka_2_0.id,true);
AddEmiter(obj.mini_Vetka_2_0.id,"Standart_2_7",false,163,552);
StartEmiter("Standart_2_7");

mini_VnutriLeva_2_0_table={600,540,780,540,780,630,600,630};
CreatePolygon(NewId("mini_VnutriLeva_2_0"),4,"mini_VnutriLeva_2_0_table");
--ShowPolygon(obj.mini_VnutriLeva_2_0.id,true);
AddEmiter(obj.mini_VnutriLeva_2_0.id,"Standart_2_2");
StartEmiter("Standart_2_2");

addstaticobjecttogame(200,"BigTexture121",193,305,"",430,8,65,65) --open gate
addstaticobjecttogame(201,"BigTexture121",193,305,"",429,94,65,65) --close gate

NewObj("Oskolki_2_0","BigTexture121",579,527,"",0,0,0,0,235,104);
AddEmiter(obj.Oskolki_2_0.id,"lev_2_0",nil,nil,nil,true)
speciale_action(2,obj.Oskolki_2_0.id)
-- set_pixel_check(obj.Oskolki_2_0.id,false)
NewObj("Lev_2_0","BigTexture121",800,312,"",0,0,235,0,88,145);
NewObj("Lev2_2_0","BigTexture121",700,350,"",0,0,235,0,88,145);
rotateTo(obj.Lev2_2_0.id,-60)
speciale_action(2,obj.Lev2_2_0.id)
NewObj("Lev3_2_0","BigTexture121",680,430,"",0,0,235,0,88,145);
rotateTo(obj.Lev3_2_0.id,-120)
speciale_action(2,obj.Lev3_2_0.id)
AddEmiter(obj.Lev_2_0.id,"Standart_2_1");
StartEmiter("Standart_2_1");

mini_DorogaKMuzeyuZnak_2_0_table={790,440,900,440,900,580,790,580};
CreatePolygon(NewId("mini_DorogaKMuzeyuZnak_2_0"),4,"mini_DorogaKMuzeyuZnak_2_0_table");
--ShowPolygon(obj.mini_DorogaKMuzeyuZnak_2_0.id,true);
AddEmiter(obj.mini_DorogaKMuzeyuZnak_2_0.id,"Standart_2_5");
StartEmiter("Standart_2_5");

NewObj("bg_2_0","bg_2_0",0,0,"");
ActivateObject(obj.bg_2_0.id,false);

